Script Rotate Rhino 6
@jordy1989 wrote: Hi, In rhino 5 it was possible to give 3 locations: RhinoApp.RunScript("_Rotate _Copy=_No w0,0,0 w0,1,0 @1,0,0", False) For example, but Rhino 6 does not accept any coordinates I...
View ArticleA script to place an object in a specific layer without making that layer active
@cosmas wrote: Hey guys, Is there a way to write a script for V6 that would place an object that you have selected in to a specific layer without changing the layer that you have active? Or, said...
View ArticleDetect "Curve is not smooth..." geometrically
@clement wrote: Hi @all, Sometimes i have Nurbscurves making problems with these geometric properties listed in the object “What” dialog text: Curve is not smooth. If you explode it, it will become...
View ArticleBug: rs.AddText() is missing option to set "Style"
@Holo wrote: In I script where I use rs.AddText() I get the wrong height since I can not set “Default” as Dimension style. It defaults to use “Millimeter Small” which is a 1:10 scale so an option for...
View ArticleConvert a script for Rhino 5 to rhino 6
@Baasab wrote: Hello, I have a script, found somewhere on the internet, to convert Text to single curves… How can I convert it to a rhino 6 script, or can someone make it a V6 script? thanks in...
View ArticleGet error when I try to use Rhino.CopyObject
@Katsuya_Obara wrote: I am trying to manipulate the object by Rhino.CopyObject command. However, I get 'namespace#' object attribute 'CopyObject' is read-only. Does anyone know what this means and how...
View ArticleIn what kind of condition, Rhino.Geometry.Vector3d.VectorAngle return...
@Katsuya_Obara wrote: I have knowledge on Python but zero on .NET. When I tried to run the energy simulation by Honeybee, I got the error. And investigating the reason, I found that...
View ArticleFail import python module in grasshopper
@shaunwu25 wrote: Hi all, I’m trying to use networkx module in GH python. I’ve added the source path in python editor, and the sys.path also shows the correct local folder. Somehow, it still fails to...
View ArticleUpdated ConvertTexttoGeometry Script?
@sle7en wrote: Hi there I found this script online by Rhino Developers yet the script seems to be only for Rhino 4.0. It still functions some sort yet it only creates the text that was previously...
View ArticleSurface Edge Trims
@djnelson75 wrote: Is there a way to return the edge of surface that make up a trim with the Rhinoscriptsyntax? Looks like in OpenNurbs it stores an Edge trim Array? developer.rhino3d.com Brep Data...
View ArticleGetting all geometry with enabled preview using GHpython
@Bogdan_Chipara wrote: Hi! Is it possible (using GHPython) to get all the geometry from grasshopper which has Enable Preview on? Thanks! Posts: 1 Participants: 1 Read full topic
View ArticleCan't run Command from custom Python Command in Rhino 6
@LasseK wrote: I have previously made some custom Python commands in Rhino 5, but when trying them out in Rhino 6, commands that calls commands in the Rhino Commandline doesn’t work anymore. Calling...
View ArticlePass "current layer" information onto grasshopper?
@anika.boeller wrote: Hi. I want to display my active layer as text at a prominent (absolute) position in the viewport… (i keep forgetting what layer on all the time) i want to use the human component...
View ArticleV6 rhinoscript Rhino.EnableRedraw(False) Issue
@info3 wrote: In v6 rhinoscript Rhino.EnableRedraw(False) no longer does its job when using Call Rhino.Command("_-Insert … You can see my video even though I set redraw to false when Rhino executes...
View ArticleUse rs.command for mesh
@revink wrote: Hi, I am trying to automatise the meshing process of a large number of polysurfaces, keeping them in their original layer, if I am using the rhinoscriptsyntax I was thinking to do...
View ArticleDetail views of objects using ZoomBoundingBox
@bojdol wrote: Hi everyone I am trying to show all curves with the same name on one DetailView, but ZoomBoundingBox does nothing and returns False. When I am using SetCameraTarget method, it works and...
View ArticleIncorrect link on developer docs page
@Helvetosaur wrote: – points to “old” python forum, which hasn’t existed in years… image.png1263x457 37.4 KB Posts: 3 Participants: 2 Read full topic
View ArticleV6 Rhinoscriptsyntax help is still not helpful
@Helvetosaur wrote: So, I wanted to see if rs.MeshObjects had by any chance been added to V6. It hasn’t unfortunately, but that’s a different subject. I saw it was not in the left sidebar in the...
View ArticleRS OpenFileNames returns nothing, can not select multiple files
@bjornsyse wrote: Hi I’m trying to import multiple STEP files using Python for rhino and started out slowly with this script trying to input file names. However, I get nothing in return from...
View ArticlePython/Rhinoscriptsyntax - some kind of funky unicode error?
@Helvetosaur wrote: I am getting an error in the rs.CheckListBox() method, and it seems to be some kind of weird unicode problem. Here is the test script: #!/usr/bin/env python # -*- coding: utf-8 -*-...
View Article